Skip to navigation

List Order Statuses

Returns a Collection of All Order Statuses.

Order Status Descriptions:

Status IDNameDescription
0IncompleteAn incomplete order happens when a shopper reached the payment page, but did not complete the transaction.
1PendingCustomer started the checkout process, but did not complete it.
2ShippedOrder has been shipped, but receipt has not been confirmed; seller has used the Ship Items action.
3Partially ShippedOnly some items in the order have been shipped, due to some products being pre-order only or other reasons.
4RefundedSeller has used the Refund action.
5CancelledSeller has cancelled an order, due to a stock inconsistency or other reasons.
6DeclinedSeller has marked the order as declined for lack of manual payment, or other reasons.
7Awaiting PaymentCustomer has completed checkout process, but payment has yet to be confirmed.
8Awaiting PickupOrder has been pulled, and is awaiting customer pickup from a seller-specified location.
9Awaiting ShipmentOrder has been pulled and packaged, and is awaiting collection from a shipping provider.
10CompletedClient has paid for their digital product and their file(s) are available for download.
11Awaiting FulfillmentCustomer has completed the checkout process and payment has been confirmed.
12Manual Verification RequiredOrder is on hold while some aspect needs to be manually confirmed.
13DisputedCustomer has initiated a dispute resolution process for the PayPal transaction that paid for the order.
14Partially RefundedSeller has partially refunded the order.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Get All Order Status Collection Response.
idintegerOptional
The ID of the type of order status.
namestringOptional
Name of the type of order status.
system_labelstringOptional
System name of the type of order status.
custom_labelstringOptional
Custom order status label given in the control panel.
system_descriptionstringOptional
System description of the order status.